org.apache.ignite.ml.nn.initializers

## Class RandomInitializer

- java.lang.Object
- - org.apache.ignite.ml.nn.initializers.RandomInitializer

- All Implemented Interfaces:
    MLPInitializer

      public class RandomInitializer
      extends Object
      implements MLPInitializer

  Class for initialization of MLP parameters with random uniformly distributed numbers from -1 to 1.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomInitializer()` Constructs RandomInitializer with random seed.
    `RandomInitializer(long seed)` Constructs RandomInitializer with the given seed.
    `RandomInitializer(Random rnd)` Construct RandomInitializer from given RNG.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initBiases(Vector biases)` In-place change values of vector representing vectors.
    `void` | `initWeights(Matrix weights)` In-place change values of matrix representing weights.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomInitializer

          public RandomInitializer(Random rnd)

      Construct RandomInitializer from given RNG.
      Parameters:
        `rnd` - RNG.

    - #### RandomInitializer

          public RandomInitializer(long seed)

      Constructs RandomInitializer with the given seed.
      Parameters:
        `seed` - Seed.

    - #### RandomInitializer

          public RandomInitializer()

      Constructs RandomInitializer with random seed.

  - ### Method Detail

    - #### initWeights

          public void initWeights(Matrix weights)

      In-place change values of matrix representing weights.
      Specified by:
        `initWeights` in interface `MLPInitializer`
      Parameters:
        `weights` - Matrix representing weights.

    - #### initBiases

          public void initBiases(Vector biases)

      In-place change values of vector representing vectors.
      Specified by:
        `initBiases` in interface `MLPInitializer`
      Parameters:
        `biases` - Vector representing vectors.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022